#!/bin/bash
#***************************************************************
#
# Script name: cleansst.sh
#
# Usage: cleansst.sh
#
# Purpose:     Tar up matchup and SST files and delete old ones
#              
# Written by:  E. Tipton 12/30/04
#
# 05/28/09 M. Fan  (PSGS) -- modified to include set_app_env.sh
#
#***************************************************************
#
## Set directories and  environment variables
#---------------------------------------------
export SCRIPTDIR=$( dirname $0 )
. $SCRIPTDIR/set_app_env.sh
scriptname=$( basename $0)


# Set up the logfile

    while getopts l: optionName
    do
          case $optionName in
          l)   filename="$OPTARG"
#              datestring=`date +%j%H`
               datestring=`date +%j`
               filename="$filename.$datestring"
               exec >> $LOGDIR/$filename 2>&1 ;;
          ?)   echo "Usage: $0 -l logfile_name \n";;
          esac
    done
#------------------------------------------------------------------
#

echo " Begin $(basename $0) at $(date -u) "

logdir=$LOGDIR
cd /tmp ; cd $logdir &&  find . -mtime +30 |xargs -i rm {}
cd /tmp ; cd $logdir &&  find . -mtime  +1 | grep -v gz | xargs -i gzip {}
cd /tmp ; cd $logdir &&  find . -mmin +1460| grep -v gz | xargs -i gzip {}

cd /tmp ; cd $logdir &&  ls *gz |xargs -i mv {}  ./oldlogs/

#datadisk=/data/$(whoami)
#arch_areas=$datadisk/archiveAreaFiles
#arch_front=$datadisk/front_sst
#arch_model=$datadisk/modelArchive
#arch_field=$datadisk/sstArchive

arch_areas=$oldArea
arch_front=$FRONTDIR
arch_model=$MOD_ARCHIVE_DIR
arch_field=$SSTDIR

old_arch_field=$oldSSTDIR

cd /tmp ; cd $arch_field 	&&  find ./sst3* -type f -mmin +300  | grep -v gz | xargs -i gzip {}

#cd /tmp ; cd $arch_areas 	&&  find . -type f -mtime   +2 |xargs -i rm {}
cd /tmp ; cd $arch_areas        &&  find . -type f -mmin    +1800 |xargs -i rm {}
cd /tmp ; cd $arch_model 	&&  find . -type f -mtime   +10 |xargs -i rm {}
cd /tmp ; cd $arch_field 	&&  find . -type f -mtime   +8 |xargs -i rm {}
cd /tmp ; cd $old_arch_field 	&&  find . -type f -mtime   +8 |xargs -i rm {}
cd /tmp ; cd $arch_front 	&&  find . -type f -mtime   +8 |xargs -i rm {}

cd /tmp ; cd $arch_areas 	&&  find . -type f -amin  +120 | grep -v gz | xargs -i gzip {}
cd /tmp ; cd $arch_model 	&&  find . -type f -amin  +120 | grep -v gz | xargs -i gzip {}
cd /tmp ; cd $arch_field 	&&  find . -type f -mmin +1800 | grep -v gz | xargs -i gzip {}
cd /tmp ; cd $arch_front 	&&  find . -type f -mtime  +2  | grep -v gz | xargs -i gzip {}
cd /tmp ; cd $arch_field 	&&  find . -type f -amin +2880 | grep -v gz | xargs -i gzip {}
cd /tmp ; cd $arch_field 	&&  find . -type f -mmin +2160 | grep -v gz | xargs -i gzip {}
cd /tmp ; cd $arch_field 	&&  find . -type f -mmin +160  | grep -v gz |grep tst| xargs -i gzip {}
#cd /tmp ; cd $arch_field/old   &&  mv  ../*.gz  .  
cd /tmp ; cd $arch_field 	&&  mv  *.gz $old_arch_field/.

#cd /tmp ; cd $BUOYDIR		&&  find . -type f -mmin +120 | grep \.gz$ |xargs -i rm {}
cd /tmp ; cd $BUOYDIR		&&  find . -type f -mtime +180 | grep \.gz$ |xargs -i rm {}
cd /tmp ; cd $oldBUOYDIR        &&  find . -type f -mtime +180 | grep \.gz$ |xargs -i rm {}

echo " End $(basename $0) at $(date -u) "
echo
#------------------------------------------------------------------
