#!/bin/bash
#
################################################################################
#
# Program Name: set_gbcs_env.sh
#
# Purpose : Set up directories be used by Modularized Bayesian SST software
#
# Usage: set_gbcs_env.sh
#
# Scripts Run:  none
#
# Called by:  run_gbcs.sh
#
# Change History:
#       Feb 2009  --   M. Fan (PSGS)
#
################################################################################

export GBCS_GBCS_DATA_DIR=$HOME/GBCS/dat     # GBCS data directory

export GBCS_MCIDAS_DIR=/data/$(whoami)/AreaFiles       # output
export GBCS_MCIDAS_AREA_DIR=/data/$(whoami)/AreaFiles  # input
export GBCS_MCIDAS_GRID_DIR=/data/$(whoami)/gridFiles  # input

export GBCS_WORK_DIR=$HOME/GBCS/work         # *.INP files & GBCS work dir  
export GBCS_RAD_BIAS_DIR=$HOME/GBCS/Radiance_Bias
