#!/bin/bash
#
# Program Name: set_server_Backup.sh
#
# Purpose : Set up test server info for SST products sending 
#
# Usage:  set_server_Backup.sh 
#
# Scripts Run:  none
#
# Change History:
#      Feb. 2009 -- Programmer- M. Fan (PSGS) 
#
################################################################################

# remote server: user name and server name
#-----------------------------------------
 export remoteUser=spider
export remoteServer=10.144.3.38   # -- satepsdist1 


# remote root directory
#--------------------------------
gsstRoot=/data/ftp/pub/geo_sst

# L2P directory
#----
export l2pRoot=$gsstRoot/L2P
export goesL2pRemoteDir=$l2pRoot/goes
export msgL2pRemoteDir=$l2pRoot/msg
export mtsatL2pRemoteDir=$l2pRoot/mtsat



# MATCHUPS directory
#-----
matchupRoot=$gsstRoot/matchups
export goesBuoyRemoteDir=$matchupRoot/goes
export msgBuoyRemoteDir=$matchupRoot/msg
export mtsatBuoyRemoteDir=$matchupRoot/mtsat



# GRIDDED FIELDS directory
#-----
fieldsRoot=$gsstRoot/gridded-fields
# -- GOES
goesfieldsRoot=$fieldsRoot/goes
export goesSST1hRemoteDir=$goesfieldsRoot/hourly
export goesSST3hRemoteDir=$goesfieldsRoot/3-hourly
export goesSST24hRemoteDir=$goesfieldsRoot/daily
export goesSST3h_cwRemoteDir=$goesfieldsRoot/coastwatch
export goesFrontRemoteDir=$goesfieldsRoot/fronts
export goesSSTdayNiteRemoteDir=$goesfieldsRoot/daynite
# -- MSG
msgfieldsRoot=$fieldsRoot/msg
export msgSST1hRemoteDir=$msgfieldsRoot/hourly
export msgSST3hRemoteDir=$msgfieldsRoot/3-hourly
export msgSST24hRemoteDir=$msgfieldsRoot/daily
export msgSSTdayNiteRemoteDir=$msgfieldsRoot/daynite
# -- MTSAT
mtsatfieldsRoot=$fieldsRoot/mtsat
export mtsatSST1hRemoteDir=$mtsatfieldsRoot/hourly
export mtsatSST3hRemoteDir=$mtsatfieldsRoot/3-hourly
export mtsatSST24hRemoteDir=$mtsatfieldsRoot/daily
export mtsatSSTdayNiteRemoteDir=$mtsatfieldsRoot/daynite

